Admin/Update Role
PUT /v1/admin/roles/{id}

Update Role

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/admin/roles/{id} \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "role": {
         "name": "Manager",
         "scope": "team",
         "level": "manager",
         "team_ids": [
           "cde2d3c4-b5a6-7890-cdef-0987654321ab",
           "dea2d3c4-b5a6-7890-cdef-0987654321ab",
           "abc2d3c4-b5a6-7890-cdef-0987654321ab"
         ]
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
id string required in path

Response

role▾
object
id
string
name
string
scope
string
level
string
team_ids
array
user_ids
array
mutable
boolean
internal
boolean
created_at
string
updated_at
string